Bug 467165 - Compilation error because of a C++ keyword in /usr/include/real_exception_file.h
Compilation error because of a C++ keyword in /usr/include/real_exception_file.h
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libFoundation (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 03:04 EDT by Andrea Tassotti
Modified: 2009-07-31 13:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 19:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example source code (93 bytes, text/x-troff-mm)
2008-10-16 03:04 EDT, Andrea Tassotti
no flags Details

  None (edit)
Description Andrea Tassotti 2008-10-16 03:04:57 EDT
Created attachment 320520 [details]
Example source code

Description of problem:
Error compiling .mm (ObjC + C++ code) source using Foundation.h.

Version-Release number of selected component (if applicable):
libFoundation-devel-1.1.3-10.fc6

How reproducible:
Compiling a simple .mm source importing <Foundation/Foundation.h>

Steps to Reproduce:
1.Use example.mm file attached to this report
2.g++ -lobjc -lFoundation example.mm
  
Actual results:
/usr/include/real_exception_file.h:68: error: expected identifier before ‘class’
/usr/include/real_exception_file.h:68: error: expected `:' before ‘;’ token
/usr/include/real_exception_file.h:68: error: expected identifier before ‘;’ token

Expected results:
Compilation without errors

Additional info:
identifier "class" MUST be any of "aClass", "clazz", "X" or other NON-CPP-KEYWORD for use in ObjC/C++ ibridation.
Comment 1 John Poelstra 2008-10-17 19:54:06 EDT
Thank you for your bug report.
We are sorry, but the Fedora Project no longer maintains this version of Fedora. Please upgrade to the latest version and reopen this bug against that version if this bug exists there.
As a result we are setting this bug to CLOSED:WONTFIX

Note You need to log in before you can comment on or make changes to this bug.